/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.logging;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.Logger;
import org.openide.util.Exceptions;

/**
 *
 * @author Timon Veenstra
 */
public class LogLevels {

    static {
        try {
            Logger.getLogger("nl.cloudfarming.client").addHandler(SystemLogController.getInstance());
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }
        System.out.println("Logger.getLogger(\"nl.cloudfarming.client\").setLevel(Level.FINEST);");
//        Logger.getLogger("nl.cloudfarming.client").setLevel(Level.FINEST);

        
        try {
            System.setProperty("nl.cloudfarming.client.level", "100");
            System.setProperty("nl.cloudfarming.client.farm.level", "100");
            System.setProperty("nl.cloudfarming.client.fieldplan.level", "100");
            System.setProperty("nl.cloudfarming.client.productionunit.level", "100");
            System.setProperty("nl.cloudfarming.client.geoviewer.level", "100");
            System.setProperty("nl.cloudfarming.client.field.level", "100");
            System.setProperty("nl.cloudfarming.client.geoviewer.edit.level", "100");
            LogManager.getLogManager().readConfiguration();
        } catch (IOException ex) {
            Exceptions.printStackTrace(ex);
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }

        
    //        Logger.getLogger("nl.cloudfarming.client.farm").setLevel(Level.FINEST);
    //        Logger.getLogger("nl.cloudfarming.client.fieldplan").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.productionunit").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.geoviewer").setLevel(Level.ALL);

    }
}
